# Functions

{% hint style="info" %}
The options below appear when the **Edit menu is opened from the** [**Functions View**](/core/user-interface/concepts/subviews.md#functions-window). In other views, the menu adapts dynamically and may show a different set of options.
{% endhint %}

Below is an overview of all actions that can be accessed from this menu.

| UI Action Name                                            | Action Name            | Description                                                                           |
| --------------------------------------------------------- | ---------------------- | ------------------------------------------------------------------------------------- |
| [Create folder...](/ida-actions/dirtreecreatefolder.md)   | `DirTreeCreateFolder`  | Create folder with items                                                              |
| [Move to folder...](/ida-actions/dirtreemovetofolder.md)  | `DirTreeMoveToFolder`  | Move the current selection to a folder.                                               |
| [Insert...](/ida-actions/dirtreeinsert.md)                | `DirTreeInsert`        | Create a structure, union, or enumeration                                             |
| [Delete function(s)...](/ida-actions/dirtreedelete.md)    | `DirTreeDelete`        | Delete a type                                                                         |
| [Edit function...](/ida-actions/dirtreeedit.md)           | `DirTreeEdit`          | Open type editor for type                                                             |
| [Undo Process options...](/ida-actions/undoaction.md)     | `UndoAction`           | This command reverts the database to the state before executing the last user action. |
| [Redo](/ida-actions/redoaction.md)                        | `RedoAction`           | This command reverts the previously issued Undo command.                              |
| [Copy](/ida-actions/dirtreecopy.md)                       | `DirTreeCopy`          | Copy                                                                                  |
| [Copy all](/ida-actions/dirtreecopyall.md)                | `DirTreeCopyAll`       | Copy all                                                                              |
| [Unsort](/ida-actions/dirtreeunsort.md)                   | `DirTreeUnsort`        | Unsort                                                                                |
| [Quick filter](/ida-actions/dirtreequickfilter.md)        | `DirTreeQuickFilter`   | Quick filter                                                                          |
| [Modify filters...](/ida-actions/dirtreemodifyfilters.md) | `DirTreeModifyFilters` | Modify filters                                                                        |
| [Reset filters](/ida-actions/dirtreeresetfilters.md)      | `DirTreeResetFilters`  | Reset filters                                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/menu-bar-actions/edit/functions-actions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
